# Ionian Find

Ionian Find는 딥링크를 사용하여 파일 탐색기를 여는 간단한 Rust 애플리케이션입니다.

## 주요 기능

- **딥링크 등록:** `ionian-find://`와 같은 사용자 정의 딥링크를 시스템에 등록합니다.
- **경로 기반 파일 탐색기 열기:** 딥링크에 포함된 경로를 기반으로 파일 탐색기를 엽니다. 예를 들어, `ionian-find://C:/Users`는 `C:/Users` 폴더를 엽니다.

## 설정

- base_path: 딥링크가 열 때 사용할 기본 경로를 설정할 수 있습니다. 이 경로는 딥링크에 포함된 경로와 결합되어 최종 경로를 생성합니다.
- explore: 딥링크를 통해 파일 탐색기를 열 때 사용할 명령어를 설정할 수 있습니다. 기본적으로 Windows에서는 `explorer`가, Linux에서는 `xdg-open`이 사용됩니다.

## 사용법

1. **설치:**
   ```bash
   cargo install --path .
   ```

2. **딥링크 등록:**
   ```bash
   ionian-find register
   ```

3. **딥링크 사용:**
   브라우저나 다른 애플리케이션에서 `ionian-find://<경로>` 형식의 딥링크를 엽니다.

## 기술 스택

- **Rust:** 핵심 애플리케이션 로직
- **clap:** 명령줄 인수 파싱
- **dirs:** 사용자 디렉토리 경로 확인
- **serde/serde_json:** 설정 파일 직렬화/역직렬화
- **shellexpand:** 셸 환경 변수 확장

## 플랫폼 지원

- Windows
- Linux
