pub mod linux;
pub mod windows;

#[cfg(target_os = "linux")]
pub use linux::*;

#[cfg(target_os = "windows")]
pub use windows::*;

#[cfg(not(any(target_os = "linux", target_os = "windows")))]
pub fn handle_register() -> Result<(), String> {
    unimplemented!("Register is not yet implemented for this OS.");
}

#[cfg(not(any(target_os = "linux", target_os = "windows")))]
pub fn handle_unregister() -> Result<(), String> {
    unimplemented!("Unregister is not yet implemented for this OS.");
}
